<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Vue Basics</title>
    <link
      href="https://fonts.googleapis.com/css2?family=Jost:wght@400;700&display=swap"
      rel="stylesheet"
    />
    <link rel="stylesheet" href="styles.css" />
    <script src="https://unpkg.com/vue@next" defer></script>
    <script src="app.js" defer></script>
  </head>
  <body>
    <header>
      <h1>Monster Slayer</h1>
    </header>
    <div id="game">
      <section id="monster" class="container" v-if="gameStarted">
        <h2>Monster Health - Level: {{ monsterStats.level }}</h2>
        <div class="healthbar">
          <div class="healthbar__value" :style="computeMonsterHPWidth"></div>
        </div>
      </section>
      <section id="player" class="container" v-if="gameStarted">
        <h2>Player Health - Level: {{ playerStats.level }}</h2>
        <div class="healthbar">
          <div class="healthbar__value" :style="computePlayerHPWidth"></div>
        </div>
      </section>
      <section id="gameMenu" class="container" v-if="!countdownHasStarted && !gameStarted && !gameOverLost">
        <p>Welcome to Monster Slayer, press the button below to start the game.</p>
        <button @click="onStartGame">Start Game</button>
      </section>
      <section id="countdownScreen" class="container" v-if="countdownHasStarted">
        <p><h2>GET READY!!!</h2></p>
        <p><h3>{{ countdownToStart }}</h3></p>
        <button @click="onCancelCountdown">I changed by mind.</button>
      </section>
      <section id="gameOverScreen" class="container" v-if="!countdownHasStarted && !gameStarted && gameOverLost">
        <p>YOU LOST!!!!</p>
        <button @click="onResetGame">Play Again???</button>
      </section>
      <section id="controls" v-if="gameStarted">
        <button v-for="ability in playerStats.abilities" :key="ability.id" @click="useAbility(ability.id)">{{ ability.name }} ({{ ability.damageNum }}d{{ ability.damageDice }})</button>
        <button @click="onSurrender">SURRENDER</button>
      </section>
      <section id="log" class="container" v-if="gameStarted">
        <h2>Battle Log</h2>
        <ul></ul>
      </section>
    </div>
  </body>
</html>
